Subject: Re: [PATCH 04/23] e100: rework WoL and shutdown handling

From: Jeff Garzik <[email-masked]>
Date: Tue, 19 Sep 2006 16:30:38 -0400

Auke Kok wrote:
> Jeff Garzik wrote:
>> Kok, Auke wrote:
>>> Unify our shutdown/suspend/resume code and make it similar to e1000:
>>> e1000_shutdown now calls suspend which does the exact same thing on
>>> shutdown except saving PCI config state on suspend. WoL setup code
>>> is now also more simple and works even when CONFIG_PM is not set, which
>>> was previously broken.
>>>
>>> Signed-off-by: Auke Kok <[email-masked]>
>>
>> Why does e100_suspend() need to exist even when CONFIG_PM is disabled?
>>
>> WoL is fundamentally power management.
> 
> same as e1000_suspend: we're consolidating shutdown code making 2 
> different codepaths exactly the same.
> 
> e100_shutdown calls e100_suspend() in case of a normal powerdown.

OK, well you don't need to list it in the pci_driver struct then...